OSDN Git Service

na-get-lib,チケット #36130 に関連して、更新パッケージから非対応パッケージを除外するようにした
[applistation/AppliStation.git] / na-get-lib / NaGet.Packages.Install / UpgradeFinder.cs
index 10bb800..9dea43a 100644 (file)
@@ -27,6 +27,8 @@ namespace NaGet.Packages.Install
                                        
                                        if (Array.IndexOf(exclude, pkg.Name) >= 0) {
                                                canUpgrade = false;
+                                       } else if (Installation.GetPreferInstallerIndex(pkg) == -1) {
+                                               canUpgrade = false;
                                        }
                                }
                        }